sqlite_has_prev
sqlite_last_error
SQLite Functions
PHP Manual

# sqlite_key

# SQLiteResult::key

(PHP 5 >= 5.1.0 and < 5.4.0)

sqlite_key -- SQLiteResult::key — Returns the current row index

### Description

Object oriented style (method):

int SQLiteResult::key ( void )

SQLiteResult::key() returns the current row index of the buffered result set `result`.

Unlike all other SQLite functions, this function does not have a procedural version, and can only be called as a method on a SQLiteResult object.

### Return Values

Returns the current row index of the buffered result set `result`.

### See Also

- sqlite_next() - Seek to the next row number
- sqlite_current() - Fetches the current row from a result set as an array
- sqlite_rewind() - Seek to the first row number

sqlite_has_prev
sqlite_last_error
SQLite Functions
PHP Manual